Package org.eclipse.emf.compare.rcp.internal.extension.impl

## Class EMFCompareBuilderConfigurator

- java.lang.Object
- - org.eclipse.emf.compare.rcp.internal.extension.impl.EMFCompareBuilderConfigurator

All Implemented Interfaces:
  `IEMFCompareBuilderConfigurator`

    public class EMFCompareBuilderConfigurator
    extends Object
    implements IEMFCompareBuilderConfigurator

Engine provider. This class provides engines using registered engines and user preferences.

### Constructor Summary

Constructors
`protected` `EMFCompareBuilderConfigurator​(IMatchEngine.Factory.Registry matchEngineFactoryRegistry, IPostProcessor.Descriptor.Registry<String> postProcessorRegistry)` Constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `configure​(EMFCompare.Builder builder)` Configure a `org.eclipse.emf.compare.EMFCompare.EMFCompare.Builder` using engines from registry and user preferences.
`static EMFCompareBuilderConfigurator` `createDefault()` Get EMFCompareBuilderConfigurator with EMF Compare default values.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EMFCompareBuilderConfigurator

    protected EMFCompareBuilderConfigurator​(IMatchEngine.Factory.Registry matchEngineFactoryRegistry,
                                            IPostProcessor.Descriptor.Registry<String> postProcessorRegistry)

Constructor.

Parameters:
  `matchEngineFactoryRegistry` - `IMatchEngine.Factory.Registry` that holds Match Engine factories.
  `postProcessorRegistry` - `IPostProcessor.Descriptor.Registry` that holds post processors.

### Method Detail

#### createDefault

    public static EMFCompareBuilderConfigurator createDefault()

Get EMFCompareBuilderConfigurator with EMF Compare default values. Get the default preference store, the default `IMatchEngine.Factory.Registry` and the default `IPostProcessor.Descriptor.Registry`.

Returns:
  Default EMFCompareBuilderConfigurator;

#### configure

    public void configure​(EMFCompare.Builder builder)

Configure a `org.eclipse.emf.compare.EMFCompare.EMFCompare.Builder` using engines from registry and user preferences.

Specified by:
  `configure` in interface `IEMFCompareBuilderConfigurator`
Parameters:
  `builder` - `org.eclipse.emf.compare.EMFCompare.EMFCompare.Builder`